Xerces-C++: XSMultiValueFacet Class Reference

Xerces-C++ 3.2.4

List of all members
XSMultiValueFacet Class Reference

`#include <xercesc/framework/psvi/XSMultiValueFacet.hpp>`

Inheritance diagram for XSMultiValueFacet:

## Public Member Functions
Constructors
| XSMultiValueFacet (XSSimpleTypeDefinition::FACET facetKind, StringList *lexicalValues, bool isFixed, XSAnnotation *const headAnnot, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
Destructor
| ~XSMultiValueFacet ()
Public Member Functions inherited from XSObject
| XSObject (XSConstants::COMPONENT_TYPE compType, XSModel *const xsModel, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor. More...
virtual | ~XSObject ()
XSConstants::COMPONENT_TYPE | getType () const
| The `type` of this object, i.e. More...
virtual const XMLCh * | getName () const
| The name of type `NCName` of this declaration as defined in XML Namespaces. More...
virtual const XMLCh * | getNamespace () const
| The [target namespace] of this object, or `null` if it is unspecified. More...
virtual XSNamespaceItem * | getNamespaceItem ()
| A namespace schema information item corresponding to the target namespace of the component, if it's globally declared; or null otherwise. More...
virtual XMLSize_t | getId () const
| Optional. More...
void | setId (XMLSize_t id)
| methods needed by implementation More...
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## XSMultiValueFacet methods
XSSimpleTypeDefinition::FACET | fFacetKind
bool | fIsFixed
StringList * | fLexicalValues
XSAnnotationList * | fXSAnnotationList
XSSimpleTypeDefinition::FACET | getFacetKind () const
StringList * | getLexicalFacetValues ()
bool | isFixed () const
| Check whether a facet value is fixed. More...
XSAnnotationList * | getAnnotations ()

## Additional Inherited Members
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...
Protected Attributes inherited from XSObject
XSConstants::COMPONENT_TYPE | fComponentType
XSModel * | fXSModel
MemoryManager * | fMemoryManager
XMLSize_t | fId

## Constructor & Destructor Documentation

## ◆ XSMultiValueFacet()

XSMultiValueFacet::XSMultiValueFacet | ( | XSSimpleTypeDefinition::FACET | facetKind,
|  | StringList * | lexicalValues,
|  | bool | isFixed,
|  | XSAnnotation *const | headAnnot,
|  | XSModel *const | xsModel,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

The default constructor.

Parameters

  facetKind |
  lexicalValues |
  isFixed |
  headAnnot |
  xsModel |
  manager | The configurable memory manager

## ◆ ~XSMultiValueFacet()

XSMultiValueFacet::~XSMultiValueFacet | ( |  | ) |

## Member Function Documentation

## ◆ getAnnotations()

XSAnnotationList * XSMultiValueFacet::getAnnotations | ( |  | ) |

Returns
  the annotations belonging to this facet's values

References fXSAnnotationList.

## ◆ getFacetKind()

XSSimpleTypeDefinition::FACET XSMultiValueFacet::getFacetKind | ( |  | ) | const

Returns
  An indication as to the facet's type; see `XSSimpleTypeDefinition::FACET`

References fFacetKind.

## ◆ getLexicalFacetValues()

StringList * XSMultiValueFacet::getLexicalFacetValues | ( |  | ) |

Returns
  Returns the values of a constraining facet.

References fLexicalValues.

## ◆ isFixed()

bool XSMultiValueFacet::isFixed | ( |  | ) | const

Check whether a facet value is fixed.

References fIsFixed.

## Member Data Documentation

## ◆ fFacetKind

XSSimpleTypeDefinition::FACET XSMultiValueFacet::fFacetKind
| protected

Referenced by getFacetKind().

## ◆ fIsFixed

bool XSMultiValueFacet::fIsFixed
| protected

Referenced by isFixed().

## ◆ fLexicalValues

StringList* XSMultiValueFacet::fLexicalValues
| protected

Referenced by getLexicalFacetValues().

## ◆ fXSAnnotationList

XSAnnotationList* XSMultiValueFacet::fXSAnnotationList
| protected

Referenced by getAnnotations().

The documentation for this class was generated from the following file:

- XSMultiValueFacet.hpp